Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.filesystems
Class FileStateInvalidException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.openide.filesystems.FileStateInvalidException

All Implemented Interfaces:
  Serializable

    public class FileStateInvalidException

extends IOException

Signals that the file object is somehow corrupted. The required operation is not possible due to a previous deletion, or an unexpected (external) change in the filesystem.

See Also:
  Serialized Form

Constructor Summary
`FileStateInvalidException()` Create new `FileStateInvalidException`.
`FileStateInvalidException(String s)` Create new `FileStateInvalidException` with the specified text.

Method Summary
`String` | `getFileSystemName()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileStateInvalidException

    public FileStateInvalidException()

  Create new `FileStateInvalidException`.

### FileStateInvalidException

    public FileStateInvalidException(String s)

  Create new `FileStateInvalidException` with the specified text.

  Parameters:
    `s` - the text describing the exception

Method Detail

### getFileSystemName

    public String getFileSystemName()

  Returns:
    the name of the fileSystem containing the bad FileObject. null if this information is unavailable.
  Since:
    1.30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.